> ## Documentation Index
> Fetch the complete documentation index at: https://docs.firecrawl.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Agent実行一覧

> Firecrawl APIキーが必要なAIエージェントですか？自動オンボーディング手順については、[firecrawl.dev/agent-onboarding/SKILL.md](https://www.firecrawl.dev/agent-onboarding/SKILL.md)を参照してください。


## OpenAPI

````yaml ja/api-reference/v2-openapi.json GET /agent
openapi: 3.0.0
info:
  contact:
    email: support@firecrawl.dev
    name: Firecrawl Support
    url: https://firecrawl.dev/support
  description: Firecrawlのサービスを利用して、Webスクレイピングやクロールを行うためのAPIです。
  title: Firecrawl API
  version: v2
servers:
  - url: https://api.firecrawl.dev/v2
security:
  - bearerAuth: []
paths:
  /agent:
    get:
      tags:
        - Agent
      summary: エージェント実行を一覧表示
      operationId: listAgents
      parameters:
        - description: >-
            この Unix
            ミリ秒タイムスタンプより前に作成されたエージェント実行のみを返します。1ページあたりの実行数は20件です。次のページを取得するには、前のページの
            `next` URL にある `before` 値を使用します。
          in: query
          name: before
          required: false
          schema:
            minimum: 0
            type: integer
      responses:
        '200':
          content:
            application/json:
              schema:
                properties:
                  agents:
                    items:
                      properties:
                        createdAt:
                          format: date-time
                          type: string
                        id:
                          format: uuid
                          type: string
                        integration:
                          description: 指定して実行を開始した場合のインテグレーション識別子
                          type: string
                        options:
                          description: 実行開始時に指定したオプション
                          properties:
                            effort:
                              description: エージェント実行に使用される推論予算（effort を設定した実行にのみ含まれます）
                              enum:
                                - low
                                - medium
                                - high
                              type: string
                            model:
                              description: >-
                                エージェント実行で使用されるモデルプリセット。新規の実行はすべて spark-2
                                で実行されます。Spark 1 の名称はレガシー実行にのみ表示されます。
                              enum:
                                - spark-2
                                - spark-1-pro
                                - spark-1-mini
                              type: string
                            prompt:
                              type: string
                            schema:
                              type: object
                            urls:
                              items:
                                format: uri
                                type: string
                              type: array
                          type: object
                        origin:
                          description: '実行の origin（例: "api"）'
                          type: string
                        settings:
                          properties:
                            hidden:
                              type: boolean
                            label:
                              type: string
                            starred:
                              type: boolean
                          type: object
                        status:
                          enum:
                            - processing
                            - completed
                            - failed
                          type: string
                        targetHint:
                          description: 実行の対象を示す短い説明（最初の URL またはプロンプト）
                          type: string
                      type: object
                    type: array
                  next:
                    description: 次のページの絶対 URL。後続のページがある場合にのみ含まれます。
                    type: string
                  success:
                    type: boolean
                type: object
          description: エージェント実行の一覧（新しい順）
        '400':
          content:
            application/json:
              schema:
                properties:
                  error:
                    example: Invalid before timestamp.
                    type: string
                type: object
          description: 不正なリクエスト — before タイムスタンプが無効です。
      security:
        - bearerAuth: []
components:
  securitySchemes:
    bearerAuth:
      scheme: bearer
      type: http

````